
import 'base_view_state.dart';

mixin BaseRequestListController<T> on BaseViewState{

  /// 页面数据
  List<T> list = [];

  onCompleted(List<T> data) {}



  ///获取数据
  void getData(){
    request((httpData){
      list = httpData.data;
    });
  }


  void requestWhenError(){
    setBusy();
    getData();
  }
}